Bug 1254682 - Consider removal of Nuvola Player 2.5 from Fedora (broken, FTBS, abandoned upstream)
Consider removal of Nuvola Player 2.5 from Fedora (broken, FTBS, abandoned up...
Product: Fedora
Classification: Fedora
Component: nuvolaplayer (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: MartinKG
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-08-18 12:03 EDT by Jiří Janoušek
Modified: 2015-12-12 05:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-12 05:00:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiří Janoušek 2015-08-18 12:03:56 EDT

I'm a developer of Nuvola Player. While I appreciate Nuvola Player has been packaged for Fedora (thank you for your work!), the current version of Nuvola Player in the Fedora repositories makes more harm then good and I would like to request its removal.

Nuvola Player 2.5 is currently unmaintained and broken. Users should switch to the rolling beta of Nuvola Player 3.0 instead as it contains many fixes and far better user experience, especially under GNOME desktop.

Some of the known issues of Nuvola Player 2.5:

* Playback is broken out of the box on Fedora, because NP 2.5 requires custom wrapped Flash plugin to work around incompatibility between the flash plugin and the first generation of WebKitGtk. NP 3 doesn't have this limitation, because it uses the second generation of WebKitGtk.

* The lyrics fetching feature is broken (fixed in 3.0).

* Last.fm scrobbling is not reliable and fails silently (fixed in 3.0).

* At least two streaming services (Google Play Music and 8tracks) don't work as a result of upstream change of the Web UI (fixed in NP 3.0).

* It points to documentation that no longer exists.

* It fails to build with recent Vala compiler releases, e.g. https://bugzilla.redhat.com/show_bug.cgi?id=1239740#c4

Note You need to log in before you can comment on or make changes to this bug.